    /*
     *  call-seq:
     *     AsciiLetterAnalyzer.new(lower = true) -> analyzer
     *
     *  Create a new AsciiWhiteSpaceAnalyzer which downcases tokens by default
     *  but can optionally leave case as is. Lowercasing will only be done to
     *  ASCII characters.
     *
     *  lower:: set to false if you don't want the field's tokens to be downcased
     */
    static VALUE
    frb_a_letter_analyzer_init(int argc, VALUE *argv, VALUE self)
    {
        Analyzer *a;
        GET_LOWER(true);
        a = letter_analyzer_new(lower);
        Frt_Wrap_Struct(self, NULL, &frb_analyzer_free, a);
        object_add(a, self);
        return self;
    }